package com.loafle.overflow.models;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_NOAUTH_PROBE", schema = "public", catalog = "postgres")
public class TblNoauthProbe {
    private long id;
    private String hostName;
    private Integer macAddress;
    private Integer ipAddress;
    private String status;
    private String tempProbeKey;
    private Timestamp createDate;
    private String apiKey;
    private long domainId;
    private Long probeId;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "HOST_NAME", nullable = true, length = 50)
    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    @Basic
    @Column(name = "MAC_ADDRESS", nullable = true)
    public Integer getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(Integer macAddress) {
        this.macAddress = macAddress;
    }

    @Basic
    @Column(name = "IP_ADDRESS", nullable = true)
    public Integer getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(Integer ipAddress) {
        this.ipAddress = ipAddress;
    }

    @Basic
    @Column(name = "STATUS", nullable = false, length = -1)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Basic
    @Column(name = "TEMP_PROBE_KEY", nullable = true, length = 50)
    public String getTempProbeKey() {
        return tempProbeKey;
    }

    public void setTempProbeKey(String tempProbeKey) {
        this.tempProbeKey = tempProbeKey;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = true)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "API_KEY", nullable = true, length = 50)
    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    @Basic
    @Column(name = "DOMAIN_ID", nullable = false)
    public long getDomainId() {
        return domainId;
    }

    public void setDomainId(long domainId) {
        this.domainId = domainId;
    }

    @Basic
    @Column(name = "PROBE_ID", nullable = true)
    public Long getProbeId() {
        return probeId;
    }

    public void setProbeId(Long probeId) {
        this.probeId = probeId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        TblNoauthProbe that = (TblNoauthProbe) o;

        if (id != that.id) return false;
        if (domainId != that.domainId) return false;
        if (hostName != null ? !hostName.equals(that.hostName) : that.hostName != null) return false;
        if (macAddress != null ? !macAddress.equals(that.macAddress) : that.macAddress != null) return false;
        if (ipAddress != null ? !ipAddress.equals(that.ipAddress) : that.ipAddress != null) return false;
        if (status != null ? !status.equals(that.status) : that.status != null) return false;
        if (tempProbeKey != null ? !tempProbeKey.equals(that.tempProbeKey) : that.tempProbeKey != null) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;
        if (apiKey != null ? !apiKey.equals(that.apiKey) : that.apiKey != null) return false;
        if (probeId != null ? !probeId.equals(that.probeId) : that.probeId != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (hostName != null ? hostName.hashCode() : 0);
        result = 31 * result + (macAddress != null ? macAddress.hashCode() : 0);
        result = 31 * result + (ipAddress != null ? ipAddress.hashCode() : 0);
        result = 31 * result + (status != null ? status.hashCode() : 0);
        result = 31 * result + (tempProbeKey != null ? tempProbeKey.hashCode() : 0);
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        result = 31 * result + (apiKey != null ? apiKey.hashCode() : 0);
        result = 31 * result + (int) (domainId ^ (domainId >>> 32));
        result = 31 * result + (probeId != null ? probeId.hashCode() : 0);
        return result;
    }
}
